MatchCollector.CollectionMatchCollector (OpenMap API)
Date: 2016-12-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.geo
Class MatchCollector.CollectionMatchCollector

    java.lang.Object
      com.bbn.openmap.geo.MatchCollector.CollectionMatchCollector

All Implemented Interfaces:
  MatchCollector

Enclosing interface:
  MatchCollector

    public static class MatchCollector.CollectionMatchCollector

extends java.lang.Object
implements MatchCollector

Nested Class Summary

Nested classes/interfaces inherited from interface com.bbn.openmap.geo.MatchCollector
`MatchCollector.CollectionMatchCollector, MatchCollector.Pair, MatchCollector.PairArrayMatchCollector, MatchCollector.SetMatchCollector`

Field Summary
`protected java.util.Collection` | `c`

Constructor Summary
`MatchCollector.CollectionMatchCollector(java.util.Collection c)`

Method Summary
`void` | `collect(java.lang.Object a, java.lang.Object b)` collect an indication that the query object a (or some part of it) matches object b in some way, presumably by intersection.
`java.util.Iterator` | `iterator()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### c

    protected final java.util.Collection c

Constructor Detail

### MatchCollector.CollectionMatchCollector

    public MatchCollector.CollectionMatchCollector(java.util.Collection c)

Method Detail

### collect

    public void collect(java.lang.Object a,
                        java.lang.Object b)

  Description copied from interface: `MatchCollector`
  collect an indication that the query object a (or some part of it) matches object b in some way, presumably by intersection.

  Specified by:
    `collect` in interface `MatchCollector`

### iterator

    public java.util.Iterator iterator()

  Specified by:
    `iterator` in interface `MatchCollector`
  Returns:
    an iterator over the previously collected elements *

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details